| Home | Libraries | People | FAQ | More

## Struct template right_shiftable

boost::type_erasure::right_shiftable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename T = _self, typename U = T, typename R = T>
    struct right_shiftable {

      // public static functions
      static R apply(const T &, const U &);
    };

## Description

### `right_shiftable` public static functions

1.     static R apply(const T &, const U &);